Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bcscav_spl.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bcscav_spl.f90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bcscav_spl.f90	(revision 5142)
@@ -2,4 +2,6 @@
 
   USE dimphy
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE
   !=====================================================================
@@ -12,5 +14,4 @@
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "YOECUMF.h"
   !
   REAL :: pdtime, alpha_r, alpha_s, R_r, R_s
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/gastoparticle.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/gastoparticle.f90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/gastoparticle.f90	(revision 5142)
@@ -6,4 +6,5 @@
   USE dimphy
   USE infotrac
+  USE lmdz_YOECUMF
   ! USE indice_sol_mod
 
@@ -14,5 +15,4 @@
   INCLUDE "chem_spla.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "YOECUMF.h"
   !
   REAL :: pdtphys
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.f90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.f90	(revision 5142)
@@ -3,4 +3,6 @@
         his_dh)
   USE dimphy
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE
   !=====================================================================
@@ -13,5 +15,4 @@
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "YOECUMF.h"
   !
   INTEGER :: it
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5142)
@@ -12,4 +12,5 @@
   USE iophy
   USE lmdz_yomcst
+  USE lmdz_YOECUMF
 
   IMPLICIT NONE 
@@ -23,5 +24,4 @@
   INCLUDE "dimensions.h"
   INCLUDE "chem.h"
-  INCLUDE "YOECUMF.h"
 
   REAL,INTENT(IN)                        :: pdtime ! time step (s)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5142)
@@ -14,4 +14,6 @@
   USE iophy
   USE lmdz_yomcst
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE 
 !=====================================================================
@@ -25,5 +27,4 @@
   INCLUDE "dimensions.h"
   INCLUDE "chem.h"
-  INCLUDE "YOECUMF.h"
 
   REAL,INTENT(IN)                        :: pdtime ! time step (s)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/seasalt.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/seasalt.f90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/seasalt.f90	(revision 5142)
@@ -5,4 +5,6 @@
 
   USE dimphy
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE
   !
@@ -11,5 +13,4 @@
   INCLUDE "chem_spla.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "YOECUMF.h"
   !
   INTEGER :: i, bin                 !local variables
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90	(revision 5142)
@@ -10,4 +10,6 @@
   USE dimphy
   USE infotrac
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE
   !
@@ -15,5 +17,4 @@
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "YOECUMF.h"
   !
   REAL :: RHcl(klon, klev)     ! humidite relative ciel clair
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5142)
@@ -22,4 +22,5 @@
   USE lmdz_abort_physic, ONLY: abort_physic
   USE lmdz_alpale
+  USE lmdz_cv, ONLY: cv_feed
 
   IMPLICIT NONE
